CobolResourceAdapterMetaData (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolResourceAdapterMetaData class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolResourceAdapterMetaData

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolResourceAdapterMetaData

All Implemented Interfaces:
  ResourceAdapterMetaData

public class CobolResourceAdapterMetaData
extends Object
implements ResourceAdapterMetaData

This implementation class provides info about the capabilities of a resource adapter implementation.

Constructor Summary
`CobolResourceAdapterMetaData()`

Method Summary
`String` | `getAdapterName()` Get the name of the resource adapter.
`String` | `getAdapterShortDescription()` Get a short description of the resource adapter.
`String` | `getAdapterVendorName()` Get the resource adapter vendor name.
`String` | `getAdapterVersion()` Get the resource adapter version.
`String[]` | `getInteractionSpecsSupported()` Get a list of interaction specs supported
`String` | `getSpecVersion()` Get the Connector arhitecture spec version.
`void` | `setAdapterName(String name)` Set the resource adapter name
`void` | `setAdapterShortDescription(String description)` Set the short description of the resource adapater.
`void` | `setAdapterVendorName(String name)` Set the resource adapter vendor name
`void` | `setAdapterVersion(String version)` Set the resource adapter version
`void` | `setSpecVersion(String version)` Set the connector architecture spec version
`boolean` | `supportsExecuteWithInputAndOutputRecord()` Does the resource adapter support execute with input and output record
`boolean` | `supportsExecuteWithInputRecordOnly()` Does the resource adapter support execute with input record only.
`boolean` | `supportsLocalTransactionDemarcation()` Does the resource adapter support local transaction demarcation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolResourceAdapterMetaData

    public CobolResourceAdapterMetaData()

Method Detail

### getAdapterVersion

    public String getAdapterVersion()

  Get the resource adapter version.

  Specified by:
    `getAdapterVersion` in interface `ResourceAdapterMetaData`
  Returns:
    The resource adapter version.

### getSpecVersion

    public String getSpecVersion()

  Get the Connector arhitecture spec version.

  Specified by:
    `getSpecVersion` in interface `ResourceAdapterMetaData`
  Returns:
    The connector architecture spec version.

### getAdapterName

    public String getAdapterName()

  Get the name of the resource adapter.

  Specified by:
    `getAdapterName` in interface `ResourceAdapterMetaData`
  Returns:
    The resource adapter name.

### getAdapterVendorName

    public String getAdapterVendorName()

  Get the resource adapter vendor name.

  Specified by:
    `getAdapterVendorName` in interface `ResourceAdapterMetaData`
  Returns:
    The resource adapter vendor name.

### getAdapterShortDescription

    public String getAdapterShortDescription()

  Get a short description of the resource adapter.

  Specified by:
    `getAdapterShortDescription` in interface `ResourceAdapterMetaData`
  Returns:
    Short Description of the resource adapter.

### setAdapterVersion

    public void setAdapterVersion(String version)

  Set the resource adapter version

  Parameters:
    `version` - The resource adapter version.

### setSpecVersion

    public void setSpecVersion(String version)

  Set the connector architecture spec version

  Parameters:
    `version` - The spec version.

### setAdapterName

    public void setAdapterName(String name)

  Set the resource adapter name

  Parameters:
    `name` - Set the name of the resource adapter.

### setAdapterVendorName

    public void setAdapterVendorName(String name)

  Set the resource adapter vendor name

  Parameters:
    `name` - The name of the resource adapter vendor.

### setAdapterShortDescription

    public void setAdapterShortDescription(String description)

  Set the short description of the resource adapater.

  Parameters:
    `description` - The short description of the resource adapater

### getInteractionSpecsSupported

    public String[] getInteractionSpecsSupported()

  Get a list of interaction specs supported

  Specified by:
    `getInteractionSpecsSupported` in interface `ResourceAdapterMetaData`
  Returns:
    The list of interaction specs supported.

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Does the resource adapter support execute with input and output record

  Specified by:
    `supportsExecuteWithInputAndOutputRecord` in interface `ResourceAdapterMetaData`
  Returns:
    true if it does, false otherwise.

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Does the resource adapter support execute with input record only.

  Specified by:
    `supportsExecuteWithInputRecordOnly` in interface `ResourceAdapterMetaData`
  Returns:
    true if it does, false otherwise.

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Does the resource adapter support local transaction demarcation

  Specified by:
    `supportsLocalTransactionDemarcation` in interface `ResourceAdapterMetaData`
  Returns:
    trues if it does, false otherwise.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.